package com.steerinfo.ems.tcm0349.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModelProperty;

public class TCm0349 implements IBasePO<String> {
    /**
     * 整改单编号(CHANGENO,VARCHAR,36)
     */
    @ApiModelProperty(value="整改单编号",required=false)
    private String changeno;

    /**
     * 记录id(RECORDID,VARCHAR,255)
     */
    @ApiModelProperty(value="记录ID",required=true)
    private String recordid;

    /**
     * 单据状态(BILLSTATUS,VARCHAR,20)
     */
    @ApiModelProperty(value="单据状态",required=true)
    private String billstatus;

    /**
     * 整改内容(CHANGEDESC,VARCHAR,2048)
     */
    @ApiModelProperty(value="整改内容",required=true)
    private String changedesc;

    /**
     * 整改原因(CHANGEREASON,VARCHAR,2048)
     */
    @ApiModelProperty(value="整改原因",required=true)
    private String changereason;

    /**
     * 日期(CREATTIME,VARCHAR,40)
     */
    @ApiModelProperty(value="日期",required=true)
    private String creattime;

    /**
     * 能介系统(MEDIUMTYPE,VARCHAR,400)
     */
    @ApiModelProperty(value="能介系统",required=true)
    private String mediumtype;

    /**
     * 受理人(NOTE,VARCHAR,2048)
     */
    @ApiModelProperty(value="备注",required=true)
    private String note;

    /**
     * 受理人(RECMAN,VARCHAR,36)
     */
    @ApiModelProperty(value="受理人",required=true)
    private String recman;

    /**
     * 受理时间(RECTIME,VARCHAR,40)
     */
    @ApiModelProperty(value="受理时间",required=true)
    private String rectime;

    /**
     * 责任人(RESPMAN,VARCHAR,36)
     */
    @ApiModelProperty(value="责任人",required=true)
    private String respman;

    /**
     * 责任单位(RESPUNIT,VARCHAR,36)
     */
    @ApiModelProperty(value="责任单位",required=true)
    private String respunit;

    /**
     * 联系电话(TEL,VARCHAR,36)
     */
    @ApiModelProperty(value="联系电话",required=true)
    private String tel;

    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.changeno;
    }

    @Override
    public void setId(String changeno) {
        this.changeno = changeno == null ? null : changeno.trim();
    }

    public String getChangeno() {
        return changeno;
    }

    public void setChangeno(String changeno) {
        this.changeno = changeno == null ? null : changeno.trim();
    }

    public String getRecordid() {
        return recordid;
    }

    public void setRecordid(String recordid) {
        this.recordid = recordid == null ? null : recordid.trim();
    }

    public String getBillstatus() {
        return billstatus;
    }

    public void setBillstatus(String billstatus) {
        this.billstatus = billstatus == null ? null : billstatus.trim();
    }

    public String getChangedesc() {
        return changedesc;
    }

    public void setChangedesc(String changedesc) {
        this.changedesc = changedesc == null ? null : changedesc.trim();
    }

    public String getChangereason() {
        return changereason;
    }

    public void setChangereason(String changereason) {
        this.changereason = changereason == null ? null : changereason.trim();
    }

    public String getCreattime() {
        return creattime;
    }

    public void setCreattime(String creattime) {
        this.creattime = creattime == null ? null : creattime.trim();
    }

    public String getMediumtype() {
        return mediumtype;
    }

    public void setMediumtype(String mediumtype) {
        this.mediumtype = mediumtype == null ? null : mediumtype.trim();
    }

    public String getNote() {
        return note;
    }

    public void setNote(String note) {
        this.note = note == null ? null : note.trim();
    }

    public String getRecman() {
        return recman;
    }

    public void setRecman(String recman) {
        this.recman = recman == null ? null : recman.trim();
    }

    public String getRectime() {
        return rectime;
    }

    public void setRectime(String rectime) {
        this.rectime = rectime == null ? null : rectime.trim();
    }

    public String getRespman() {
        return respman;
    }

    public void setRespman(String respman) {
        this.respman = respman == null ? null : respman.trim();
    }

    public String getRespunit() {
        return respunit;
    }

    public void setRespunit(String respunit) {
        this.respunit = respunit == null ? null : respunit.trim();
    }

    public String getTel() {
        return tel;
    }

    public void setTel(String tel) {
        this.tel = tel == null ? null : tel.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", changeno=").append(changeno);
        sb.append(", recordid=").append(recordid);
        sb.append(", billstatus=").append(billstatus);
        sb.append(", changedesc=").append(changedesc);
        sb.append(", changereason=").append(changereason);
        sb.append(", creattime=").append(creattime);
        sb.append(", mediumtype=").append(mediumtype);
        sb.append(", note=").append(note);
        sb.append(", recman=").append(recman);
        sb.append(", rectime=").append(rectime);
        sb.append(", respman=").append(respman);
        sb.append(", respunit=").append(respunit);
        sb.append(", tel=").append(tel);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}